<?php

/*
 * Squelette : squelettes/inc/header.html
 * Date :      Wed, 16 Oct 2024 08:36:06 GMT
 * Compile :   Mon, 17 Nov 2025 10:30:22 GMT
 * Boucles :   _menu1, _menus_sub, _menus, _menu2
 */ 

function BOUCLE_menu1html_529ee9c92c546bd35271af43470ea832(&$Cache, &$Pile, &$doublons, &$Numrows, $SP) {

	static $command = array();
	static $connect;
	$command['connect'] = $connect = '';
	$in = array();
	$in[]= 1;
	$in[]= 2;
	$in[]= 3;
	if (!isset($command['table'])) {
		$command['table'] = 'rubriques';
		$command['id'] = '_menu1';
		$command['from'] = array('rubriques' => 'spip_rubriques');
		$command['type'] = array();
		$command['groupby'] = array();
		$command['select'] = array("rubriques.id_rubrique",
		"rubriques.titre",
		"rubriques.lang");
		$command['join'] = array();
		$command['limit'] = '';
		$command['having'] = 
			array();
	}
	$command['orderby'] = array(((!sql_quote($in) OR sql_quote($in)==="''") ? 0 : ('FIELD(rubriques.id_rubrique,' . sql_quote($in) . ')')));
	$command['where'] = 
			array(
quete_condition_statut('rubriques.statut','!','publie',''), sql_in('rubriques.id_rubrique',sql_quote($in)));
	if (defined("_BOUCLE_PROFILER")) $timer = time()+(float)microtime();
	$t0 = "";
	// REQUETE
	$iter = IterFactory::create(
		"SQL",
		$command,
		array('squelettes/inc/header.html','html_529ee9c92c546bd35271af43470ea832','_menu1',53,$GLOBALS['spip_lang'])
	);
	if (!$iter->err()) {
	lang_select($GLOBALS['spip_lang']);
	$SP++;
	// RESULTATS
	while ($Pile[$SP]=$iter->fetch()) {

		lang_select_public($Pile[$SP]['lang'], '', $Pile[$SP]['titre']);
		$t0 .= (
'
                                <li class=""><a href="' .
vider_url(urlencode_1738(generer_url_entite($Pile[$SP]['id_rubrique'], 'rubrique', '', '', true))) .
'">' .
interdire_scripts(supprimer_numero(typo($Pile[$SP]['titre']), "TYPO", $connect, $Pile[0])) .
'</a></li>
								');
		lang_select();
	}
	lang_select();
	$iter->free();
	}
	if (defined("_BOUCLE_PROFILER")
	AND 1000*($timer = (time()+(float)microtime())-$timer) > _BOUCLE_PROFILER)
		spip_log(intval(1000*$timer)."ms BOUCLE_menu1 @ squelettes/inc/header.html","profiler"._LOG_AVERTISSEMENT);
	return $t0;
}


function BOUCLE_menus_subhtml_529ee9c92c546bd35271af43470ea832(&$Cache, &$Pile, &$doublons, &$Numrows, $SP) {

	static $command = array();
	static $connect;
	$command['connect'] = $connect = '';
	if (!isset($command['table'])) {
		$command['table'] = 'rubriques';
		$command['id'] = '_menus_sub';
		$command['from'] = array('rubriques' => 'spip_rubriques');
		$command['type'] = array();
		$command['groupby'] = array();
		$command['select'] = array("rubriques.titre",
		"rubriques.id_rubrique",
		"rubriques.lang");
		$command['orderby'] = array('rubriques.titre');
		$command['join'] = array();
		$command['limit'] = '';
		$command['having'] = 
			array();
	}
	$command['where'] = 
			array(
quete_condition_statut('rubriques.statut','!','publie',''), 
			array('=', 'rubriques.id_parent', sql_quote($Pile[$SP]['id_rubrique'], '','bigint(21) NOT NULL DEFAULT \'0\'')));
	if (defined("_BOUCLE_PROFILER")) $timer = time()+(float)microtime();
	$t0 = "";
	// REQUETE
	$iter = IterFactory::create(
		"SQL",
		$command,
		array('squelettes/inc/header.html','html_529ee9c92c546bd35271af43470ea832','_menus_sub',59,$GLOBALS['spip_lang'])
	);
	if (!$iter->err()) {
	lang_select($GLOBALS['spip_lang']);
	$SP++;
	// RESULTATS
	while ($Pile[$SP]=$iter->fetch()) {

		lang_select_public($Pile[$SP]['lang'], '', $Pile[$SP]['titre']);
		$t0 .= (
'
                                        <li><a href="' .
vider_url(urlencode_1738(generer_url_entite($Pile[$SP]['id_rubrique'], 'rubrique', '', '', true))) .
'">' .
interdire_scripts(supprimer_numero(typo($Pile[$SP]['titre']), "TYPO", $connect, $Pile[0])) .
'</a></li>
										');
		lang_select();
	}
	lang_select();
	$iter->free();
	}
	if (defined("_BOUCLE_PROFILER")
	AND 1000*($timer = (time()+(float)microtime())-$timer) > _BOUCLE_PROFILER)
		spip_log(intval(1000*$timer)."ms BOUCLE_menus_sub @ squelettes/inc/header.html","profiler"._LOG_AVERTISSEMENT);
	return $t0;
}


function BOUCLE_menushtml_529ee9c92c546bd35271af43470ea832(&$Cache, &$Pile, &$doublons, &$Numrows, $SP) {

	static $command = array();
	static $connect;
	$command['connect'] = $connect = '';
	if (!isset($command['table'])) {
		$command['table'] = 'rubriques';
		$command['id'] = '_menus';
		$command['from'] = array('rubriques' => 'spip_rubriques');
		$command['type'] = array();
		$command['groupby'] = array();
		$command['select'] = array("rubriques.id_rubrique",
		"rubriques.titre",
		"rubriques.lang");
		$command['orderby'] = array();
		$command['where'] = 
			array(
quete_condition_statut('rubriques.statut','!','publie',''), 
			array('=', 'rubriques.id_rubrique', "3"));
		$command['join'] = array();
		$command['limit'] = '';
		$command['having'] = 
			array();
	}
	if (defined("_BOUCLE_PROFILER")) $timer = time()+(float)microtime();
	$t0 = "";
	// REQUETE
	$iter = IterFactory::create(
		"SQL",
		$command,
		array('squelettes/inc/header.html','html_529ee9c92c546bd35271af43470ea832','_menus',56,$GLOBALS['spip_lang'])
	);
	if (!$iter->err()) {
	lang_select($GLOBALS['spip_lang']);
	$SP++;
	// RESULTATS
	while ($Pile[$SP]=$iter->fetch()) {

		lang_select_public($Pile[$SP]['lang'], '', $Pile[$SP]['titre']);
		$t0 .= (
'
								<li class="dropdown"><a href="">' .
interdire_scripts(supprimer_numero(typo($Pile[$SP]['titre']), "TYPO", $connect, $Pile[0])) .
'</a>
                                    <ul>
										' .
BOUCLE_menus_subhtml_529ee9c92c546bd35271af43470ea832($Cache, $Pile, $doublons, $Numrows, $SP) .
'
                                    </ul>
                                <div class="dropdown-btn"><span class="fa fa-angle-down"></span></div></li>
								');
		lang_select();
	}
	lang_select();
	$iter->free();
	}
	if (defined("_BOUCLE_PROFILER")
	AND 1000*($timer = (time()+(float)microtime())-$timer) > _BOUCLE_PROFILER)
		spip_log(intval(1000*$timer)."ms BOUCLE_menus @ squelettes/inc/header.html","profiler"._LOG_AVERTISSEMENT);
	return $t0;
}


function BOUCLE_menu2html_529ee9c92c546bd35271af43470ea832(&$Cache, &$Pile, &$doublons, &$Numrows, $SP) {

	static $command = array();
	static $connect;
	$command['connect'] = $connect = '';
	$in = array();
	$in[]= 14;
	$in[]= 9;
	$in[]= 16;
	$in[]= 10;
	if (!isset($command['table'])) {
		$command['table'] = 'rubriques';
		$command['id'] = '_menu2';
		$command['from'] = array('rubriques' => 'spip_rubriques');
		$command['type'] = array();
		$command['groupby'] = array();
		$command['select'] = array("rubriques.id_rubrique",
		"rubriques.titre",
		"rubriques.lang");
		$command['join'] = array();
		$command['limit'] = '';
		$command['having'] = 
			array();
	}
	$command['orderby'] = array(((!sql_quote($in) OR sql_quote($in)==="''") ? 0 : ('FIELD(rubriques.id_rubrique,' . sql_quote($in) . ')')));
	$command['where'] = 
			array(
quete_condition_statut('rubriques.statut','!','publie',''), sql_in('rubriques.id_rubrique',sql_quote($in)));
	if (defined("_BOUCLE_PROFILER")) $timer = time()+(float)microtime();
	$t0 = "";
	// REQUETE
	$iter = IterFactory::create(
		"SQL",
		$command,
		array('squelettes/inc/header.html','html_529ee9c92c546bd35271af43470ea832','_menu2',68,$GLOBALS['spip_lang'])
	);
	if (!$iter->err()) {
	lang_select($GLOBALS['spip_lang']);
	$SP++;
	// RESULTATS
	while ($Pile[$SP]=$iter->fetch()) {

		lang_select_public($Pile[$SP]['lang'], '', $Pile[$SP]['titre']);
		$t0 .= (
'
                                <li class=""><a href="' .
vider_url(urlencode_1738(generer_url_entite($Pile[$SP]['id_rubrique'], 'rubrique', '', '', true))) .
'">' .
interdire_scripts(supprimer_numero(typo($Pile[$SP]['titre']), "TYPO", $connect, $Pile[0])) .
'</a>
                                </li>
								');
		lang_select();
	}
	lang_select();
	$iter->free();
	}
	if (defined("_BOUCLE_PROFILER")
	AND 1000*($timer = (time()+(float)microtime())-$timer) > _BOUCLE_PROFILER)
		spip_log(intval(1000*$timer)."ms BOUCLE_menu2 @ squelettes/inc/header.html","profiler"._LOG_AVERTISSEMENT);
	return $t0;
}

//
// Fonction principale du squelette squelettes/inc/header.html
// Temps de compilation total: 1.789 ms
//

function html_529ee9c92c546bd35271af43470ea832($Cache, $Pile, $doublons = array(), $Numrows = array(), $SP = 0) {

	if (isset($Pile[0]["doublons"]) AND is_array($Pile[0]["doublons"]))
		$doublons = nettoyer_env_doublons($Pile[0]["doublons"]);

	$connect = '';
	$page = (
'
    <header class="main-header">
        
        <!-- Header Top -->
    	<div class="header-top">
        	<div class="auto-container clearfix">
            	<!--Top Left-->
            	<div class="top-left pull-left">
                	<ul class="links-nav clearfix">
                    	<li><a href="#"><span class="icon fa fa-envelope-o"></span>infos.duhozanye@gmail.com</a></li>
                        <li><a href="#"><span class="icon fa fa-phone"></span>(+250)788 589 475</a></li>
                    </ul>
                </div>
                
                <!--Top Right-->
            	<div class="top-right pull-right">
					<ul class="social-icon-one links-nav clearfix">
						<li><a href="https://www.facebook.com/profile.php?id=100070986438850&mibextid=ZbWKwL"><span class="fa fa-facebook"></span></a></li>
						<li><a href="https://twitter.com/duhozanye"><span class="fa fa-twitter"></span></a></li>
                        <li><a href="spip.php?article31" class="btn btn-default">DONATE</a></li>
					</ul>
                </div>
            </div>
        </div>
        <!-- Header Top End -->
        
        <!--Header-Upper-->
        <div class="header-upper">
        	<div class="auto-container">
                	
                <div class="logo-outer">
                    <div class="logo"><a href="' .
spip_htmlspecialchars(sinon($GLOBALS['meta']['adresse_site'],'.')) .
'/"><img src="' .
extraire_attribut(
((!is_array($l = quete_logo('id_syndic', 'ON', "'0'",'', 0))) ? '':
 ("<img class=\"spip_logo spip_logos\" alt=\"\" src=\"$l[0]\"" . $l[2] .  ($l[1] ? " onmouseover=\"this.src='$l[1]'\" onmouseout=\"this.src='$l[0]'\"" : "") . ' />')),'src') .
'" alt="' .
_T('public|spip|ecrire:accueil_site') .
'" title="' .
_T('public|spip|ecrire:accueil_site') .
'"></a></div>
                </div>
                    
                <div class="nav-outer clearfix">
                
                    <!-- Main Menu -->
                    <nav class="main-menu">
                        <div class="navbar-header">
                            <!-- Toggle Button -->    	
                            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            </button>
                        </div>
                        
                        <div class="navbar-collapse collapse clearfix">
                            <!--Left Nav-->
                            <ul class="navigation left-nav clearfix">
                                <li class=""><a href="' .
spip_htmlspecialchars(sinon($GLOBALS['meta']['adresse_site'],'.')) .
'/">' .
_T('public|spip|ecrire:accueil_site') .
'</a>
                                </li>
								' .
BOUCLE_menu1html_529ee9c92c546bd35271af43470ea832($Cache, $Pile, $doublons, $Numrows, $SP) .
'
								<!--' .
BOUCLE_menushtml_529ee9c92c546bd35271af43470ea832($Cache, $Pile, $doublons, $Numrows, $SP) .
'-->
                            </ul>
                            <!--Right Nav-->
                            <ul class="navigation right-nav clearfix">
								' .
BOUCLE_menu2html_529ee9c92c546bd35271af43470ea832($Cache, $Pile, $doublons, $Numrows, $SP) .
'
                            </ul>
                        </div>
                    </nav>
                    
                    <!--Search Box-->
                    <div class="search-box-outer">
                        <div class="dropdown">
                            <button class="search-box-btn dropdown-toggle" type="button" id="dropdownMenu3" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><span class="fa fa-search"></span></button>
                            <ul class="dropdown-menu pull-right search-panel" aria-labelledby="dropdownMenu3">
                                <li class="panel-outer">
                                    <div class="form-container">
                                        <form method="get" action="spip.php?page=recherche">
                                            <div class="form-group">
												<input name=\'page\' value=\'recherche\' type=\'hidden\' >
                                                <input type="search" name="recherche" value="" placeholder="Search Here" required="">
                                                <button type="submit" class="search-btn"><span class="fa fa-search"></span></button>
                                            </div>
                                        </form>
                                    </div>
                                </li>
                            </ul>
                        </div>
                    </div>
                    
                </div>
        	</div>
        </div>
        <!--End Header Upper-->
        
    
    </header>');

	return analyse_resultat_skel('html_529ee9c92c546bd35271af43470ea832', $Cache, $page, 'squelettes/inc/header.html');
}
?>